Cyberduck Mountain Duck CLI

#10726 closed defect (fixed)

Segmented download fail with longer filenames

Reported by: Kiina Owned by: dkocher
Priority: normal Milestone: 7.8.5
Component: core Version: 7.0
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

When you try to download a file with a longer name on windows, you sometimes encounter a access denied error. But it's not because of the permissions but because the folder and .cyberducksegment file just break the windows (or maybe NTFS) name limits.

For example I bought an Album and want to transfer it from my Server. The filename is

13. RoughSketch feat. DD”ナカタ”Metal — Booths of Fighters (Camellia's ''''Barrage of Flurries'''' Remix).flac

Creating a file on windows with that name is no issue.

But if you try to create that file in a folder called

13. RoughSketch feat. DD”ナカタ”Metal — Booths of Fighters (Camellia's ''''Barrage of Flurries'''' Remix).flac.cyberducksegment

like cyberduck tries to you get an error because the name is too long, so cyberduck fails to download the file. So without renaming the file on the server I have no chance to download it even though it should be possible. This is compounded by the issue that the .cyberducksegment extension is really long so you encounter this issue a lot earlier than with a shorter file extension.

Change History (11)

comment:1 Changed on Jul 17, 2019 at 3:01:09 PM by dkocher

  • Milestone set to 7.1
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from .cyberducksegment files fail with longer filenames on windows to Segmented download fail with longer filenames

comment:2 Changed on Aug 13, 2019 at 3:07:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47510.

comment:4 Changed on Jun 20, 2020 at 5:36:46 AM by grandmabowlcut

I'm having the exact same issue that's listed here. I get "Please verify disk permissions". The error goes away if segmented downloads are turned off.

comment:5 Changed on Nov 25, 2020 at 11:20:47 AM by dkocher

  • Milestone changed from 7.1 to 7.8.0
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:6 Changed on Nov 25, 2020 at 11:21:27 AM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed

Revert in r50177.

comment:7 Changed on Nov 30, 2020 at 2:25:31 PM by dkocher

  • Milestone changed from 7.8.0 to 7.7.2

Milestone renamed

comment:8 Changed on Jan 5, 2021 at 6:32:07 PM by dkocher

#11507 closed as duplicate.

comment:9 Changed on Feb 9, 2021 at 10:35:22 AM by dkocher

Possible duplicate in #11581.

comment:10 Changed on Mar 27, 2021 at 9:40:44 AM by dkocher

  • Milestone 7.7.2 deleted
  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:11 Changed on Mar 30, 2021 at 1:05:33 PM by dkocher

  • Milestone set to 7.8.4
  • Resolution set to fixed
  • Status changed from reopened to closed

In r50826 and r50825.

comment:12 Changed on Apr 1, 2021 at 7:16:22 AM by dkocher

  • Milestone changed from 7.8.4 to 7.8.5

Milestone renamed

Note: See TracTickets for help on using tickets.